/*--------------------------------------------------------------------

  World Folio - Offline map viewer/editor for Age of Adventure
  
  Copyright (c) 2001 Phil Dempster <phil@buxton.port5.com>
  http://buxton.port5.com/age/

  This software is based on an original work the copyright in which
  vests in Interactive Broadcasting Ltd (http://www.ibgames.net/).
  Original programming by Alan Lenton with additional programming by
  Stanley Lenton.

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
  General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  Compiled with Borland C++ Builder 3.
    
--------------------------------------------------------------------*/

#ifndef MAIN_H
#define MAIN_H

//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Grids.hpp>
#include <ComCtrls.hpp>
#include <Menus.hpp>
#include <Dialogs.hpp>
#include <printers.hpp>
//---------------------------------------------------------------------------

class AgeMap;

class TMainForm : public TForm
{
__published:    // IDE-managed Components
    TPanel *Panel1;
    TDrawGrid *Grid;
    TStatusBar *Status;
    TMainMenu *MainMenu;
    TMenuItem *File1;
    TMenuItem *OpenItem;
    TMenuItem *ExitItem;
    TOpenDialog *OpenDialog;
    TMenuItem *SaveItem;
    TMenuItem *Help1;
    TMenuItem *AboutItem;
    TMenuItem *N3;
    TMenuItem *View1;
    TMenuItem *FolioItem;
    TMenuItem *ZoomInItem;
    TMenuItem *ZoomOutItem;
    TMenuItem *N4;
    TMenuItem *IndexItem;
    void __fastcall OpenItemClick(TObject *Sender);
    void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall GridDrawCell(TObject *Sender, int ACol, int ARow,
             TRect &Rect, TGridDrawState State);
    void __fastcall ExitItemClick(TObject *Sender);
    void __fastcall GridMouseMove(TObject *Sender, TShiftState Shift, int X,
             int Y);
    void __fastcall GridMouseDown(TObject *Sender, TMouseButton Button,
             TShiftState Shift, int X, int Y);
    void __fastcall SaveItemClick(TObject *Sender);
  void __fastcall FolioItemClick(TObject *Sender);
    void __fastcall IndexItemClick(TObject *Sender);
    void __fastcall AboutItemClick(TObject *Sender);
    void __fastcall ZoomInItemClick(TObject *Sender);
    void __fastcall ZoomOutItemClick(TObject *Sender);
    
    
private:
    AgeMap  *age_map;
    char        file_name[256];
    char        version[64];
    bool        is_clean;
    
public:
    __fastcall TMainForm(TComponent* Owner);

    bool    IsClean()           { return(is_clean); }
    void    IsClean(bool val)   { is_clean = val; return; }
    void    CentreMap(int col, int row);
    void    FindNames(void);
    bool    LoadMap(char *fn);
    void    ShowNotes(int cur_col,int cur_row, int X, int Y);
};

//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------

#endif

