/*--------------------------------------------------------------------

  World Folio - Offline map viewer/editor for Age of Adventure
  
  Copyright (c) 2001 Phil Dempster <phil@buxton.port5.com>
  http://buxton.port5.com/age/

  This software is based on an original work the copyright in which
  vests in Interactive Broadcasting Ltd (http://www.ibgames.net/).
  Original programming by Alan Lenton with additional programming by
  Stanley Lenton.

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
  General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  Compiled with Borland C++ Builder 3.
    
--------------------------------------------------------------------*/

//---------------------------------------------------------------------------
#ifndef notesH
#define notesH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <Menus.hpp>
#include <Buttons.hpp>
#include <ToolWin.hpp>
//---------------------------------------------------------------------------
class   Location;

class TNotesForm : public TForm
{
__published:    // IDE-managed Components
    TGroupBox *NotesGroup;
    TMemo *NotesMemo;
    TStatusBar *FindStatus;
    TCoolBar *CoolBar1;
    TToolBar *NoteTools;
    TSpeedButton *DeleteBtn;
    TSpeedButton *ResetBtn;
    TSpeedButton *SaveBtn;
    TMainMenu *NotesMenu;
    TMenuItem *Edit1;
    TMenuItem *Go1;
    TMenuItem *NWItem;
    TMenuItem *NItem;
    TMenuItem *NEItem;
    TMenuItem *EItem;
    TMenuItem *SEItem;
    TMenuItem *SItem;
    TMenuItem *SWItem;
    TMenuItem *WItem;
    TMenuItem *Clear1;
    TMenuItem *Refresh1;
    TMenuItem *Update1;
    TMenuItem *Close1;
    TMenuItem *N2;
    TMenuItem *Properties1;
    TMenuItem *Pawnshop1;
    TMenuItem *NoSpecial;
    TMenuItem *Cafebar1;
    TMenuItem *Railwaystation1;
    TMenuItem *Port1;
    TMenuItem *Airshipterminal1;
    TMenuItem *Hospital1;
    TMenuItem *Telegraph1;
    TMenuItem *Special1;
    TMenuItem *Shop1;
    TMenuItem *Rations1;
    TMenuItem *Weapons1;
    TMenuItem *N6;
    TMenuItem *NoUser;
    TMenuItem *N7;
    TMenuItem *N8;
    TMenuItem *Training1;
    void __fastcall ExitItemClick(TObject *Sender);
    void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
    void __fastcall FormResize(TObject *Sender);
    void __fastcall ClearItemClick(TObject *Sender);
    void __fastcall ResetItemClick(TObject *Sender);
    void __fastcall SaveItemClick(TObject *Sender);
    
    
    
    void __fastcall NItemClick(TObject *Sender);
    void __fastcall NEItemClick(TObject *Sender);
    void __fastcall EItemClick(TObject *Sender);
    void __fastcall SEItemClick(TObject *Sender);
    void __fastcall SItemClick(TObject *Sender);
    void __fastcall SWItemClick(TObject *Sender);
    void __fastcall WItemClick(TObject *Sender);
    void __fastcall NWItemClick(TObject *Sender);
    
    
    
    
    void __fastcall SpecialClick(TObject *Sender);
    void __fastcall UserClick(TObject *Sender);
private:
    Location    *loc;
    int     find_loc;
    int     special;
    int     user;
public:
    __fastcall TNotesForm(TComponent* Owner);

    bool    IsClean()                       { return(!NotesMemo->Modified); }

    void    IsClean(bool val)               { NotesMemo->Modified = !val; return; }
    void    SetLoc(Location *the_loc)       { loc = the_loc; return; }
    void    Status(void);
    int     FindLoc(void)                   { return find_loc; }
};
//---------------------------------------------------------------------------
extern PACKAGE TNotesForm *NotesForm;
//---------------------------------------------------------------------------
#endif
